Daily operators statistics
Scope:
client
or
operator
date_from
required
The date to start the search from. Must be in YYYY-MM-DD format
date_to
required
The date to end the search at. Must be in YYYY-MM-DD format
payload
The operators stats data payload
operator id
The unique id of the operator
name
The operators name
stats
The operators statistics
date
The date correspoding to the operator statistics
avg_chat_time_sec
The operators average chat time in seconds
avg_customer_wait_time_sec
The operators average customer wait time in seconds
avg_response_time_sec
The operators average response time in seconds
chat_tranfers
The total chat transfers for the operator
chats_missed
The total operator chats missed
proactive_chat_requests
The total proactive chat requests
proactive_chat_requests_accepted
The total proactive chat request accepted
total_chat_time
The total operator chat time
total_chats
The total operator chats
total_online_time
The total operator time online
utilized_on_chat
The operator chat utlization
status
The system response status. Will be ok or error
curl
example request
1
curl -H "Authorization: Bearer {{Oauth Token}}"
2
https://developer.livehelpnow.net/api/analytics/operators/stats\?date_from\=2019-04-27\&date_to\=2020-04-27
example response
1
{
2
"payload": {
3
"1": {
4
"name"
: "John Doe",
5
"stats": [{
6
"2020-04-27": {
7
"avg_chat_time_sec"
: 0,
8
"avg_customer_wait_time_sec"
: "00:00:05",
9
"avg_response_time_sec"
: 5,
10
"chat_tranfers"
: 2,
11
"chats_missed"
: 0,
12
"proactive_chat_requests"
: 2,
13
"proactive_chat_requests_accepted"
: 1,
14
"total_chat_time"
: "00:01:05",
15
"total_chats"
: 10,
16
"total_online_time"
: "08:00:00",
17
"avg_chat_time_sec"
: "100%",
18
}
19
}]
20
}
21
},
22
"status": "ok"
23
}